Multi-node GPU Cluster
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 Multi-node GPU Cluster 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| Version | Status | Not Before |
|---|
| 1.2 | CURRENT | - |
| 1.1 | DEPRECATED | 20260331 |
| 1.0 | DEPRECATED | 20251231 |
OpenAPI URL
https://multinodegpucluster.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1.1.1 - 1.2
post /v1/gpu-nodes/{gpu_node_id}/public-nat-ip
Description
Assign public NAT IP to GPU Node.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| GpuNodeAssignPublicNatIpRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/public-nat-ip
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"public_ip_address_id": ""
}
Example HTTP response
Response 202
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.2.1 - 1.2
post /v1/gpu-nodes
Description
Create GPU Nodes.
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"cluster_fabric_details": {
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"cluster_fabric_name": "cluster001",
"node_pool_id": "POOL001-krw1a"
},
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"lock_enabled": true,
"os_user_id": "user001",
"os_user_password": "password",
"region_id": "kr-west1",
"server_details": [
{
"gpu_node_name": "gpu-node-001",
"ip_address": "192.168.0.1",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
"server_type_id": "f90e8ef54cc2451b825608e9f95f7bcb"
}
],
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"tags": [
{
"key": "",
"value": ""
}
],
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.3.1 - 1.2
delete /v1/gpu-nodes
Description
Delete GPU Nodes.
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.4.1 - 1.2
get /v1/cluster-fabrics
Description
List Cluster Fabrics.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | cluster_fabric_name optional | Cluster Fabric 이름 Example : cluster001
| any of [string, null] | None |
| query | state optional | State Example : RUNNING
| any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID Example : POOL001-krw1a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ClusterFabricListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"cluster_fabrics": [
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"cluster_name": "cluster001",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "description",
"gpu_node_details": [
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_name": "gpu-node-001",
"policy_ip": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"state": "RUNNING"
}
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"node_pool_id": "POOL001-krw1a",
"pirp_id": "20",
"product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"region_id": "kr-west1",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"used_server_count": 20
}
],
"count": 20
}
1.5.1 - 1.2
get /v1/gpu-nodes/images
Description
List GPU Node images.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | 리전 ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"images": [
{
"created_at": "2024-07-11 08:56:59",
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"priority": 20,
"scp_image_type": "STANDARD",
"scp_os_version": "8.7"
}
]
}
1.6.1 - 1.2
get /v1/gpu-nodes/products
Description
List GPU Node products.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | type optional | Product 타입 Example : SCALE
| any of [string, null] | None |
| query | image_id optional | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/gpu-nodes/products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"products": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"id": "SCALE",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "s2v16m128_metal",
"product_attrs": {
"compute_class_type_name": "GPU H100 Metal-2",
"compute_class_type_value": "g2_mteal",
"cpu_value": "64",
"disk_unit": "GB",
"disk_value": "480",
"gpu_model": "H100",
"memory_value": "128"
},
"state": "AVAILABLE",
"type": "SCALE"
}
]
}
1.7.1 - 1.2
get /v1/gpu-nodes
Description
List GPU Nodes.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | gpu_node_name optional | GPU Node 이름 Example : gpu-node-001
| any of [string, null] | None |
| query | state optional | GPU Node State Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Gpu Node ip Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
| query | cluster_fabric_name optional | Cluster Fabric 이름 Example : cluster001
| any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"count": 20,
"gpu_nodes": [
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"cluster_fabric_name": "cluster001",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"gpu_node_name": "gpu-node-001",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"node_pool_id": "POOL001-krw1a",
"os_type": "WINDOWS",
"pfs_ip": [
"10.252.128.2",
"10.252.128.3"
],
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
]
}
1.8.1 - 1.2
get /v1/cluster-fabrics/node-pools
Description
List node pools.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | subnet_id optional | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID Example : POOL001-krw1a
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | NodePoolListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/node-pools
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"count": 20,
"node_pools": [
{
"cluster_fabric_details": [],
"node_pool_id": "POOL001-krw1a"
}
]
}
1.9.1 - 1.2
put /v1/gpu-nodes/{gpu_node_id}/lock
Description
Lock GPU Node.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.10.1 - 1.2
post /v1/cluster-fabrics/modify-members
Description
Modify Cluster Fabric Members.
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/modify-members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"after_cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"before_cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.11.1 - 1.2
delete /v1/gpu-nodes/{gpu_node_id}/public-nat-ip
Description
Release public NAT IP from GPU Node.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/public-nat-ip
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 202
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.12.1 - 1.2
get /v1/cluster-fabrics/{cluster_fabric_id}
Description
Show Cluster Fabric.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | cluster_fabric_id required | Cluster Fabric ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ClusterFabricShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/{cluster_fabric_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"cluster_name": "cluster001",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "description",
"gpu_node_details": [
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac",
"gpu_node_name": "gpu-node-001",
"policy_ip": "192.168.0.1",
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"server_type": "s1v8m32_metal",
"state": "RUNNING"
}
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"node_pool_id": "POOL001-krw1a",
"pirp_id": "20",
"product_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"region_id": "kr-west1",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"used_server_count": 20
}
1.13.1 - 1.2
get /v1/gpu-nodes/{gpu_node_id}
Description
Show GPU Node.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
"cluster_fabric_name": "cluster001",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"gpu_node_name": "gpu-node-001",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"node_pool_id": "POOL001-krw1a",
"os_type": "WINDOWS",
"pfs_ip": [
"10.252.128.2",
"10.252.128.3"
],
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
1.14.1 - 1.2
post /v1/gpu-nodes/start
Description
Start GPU Nodes.
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15.1 - 1.2
post /v1/gpu-nodes/stop
Description
Stop GPU Nodes.
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Request body
{
"gpu_node_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16.1 - 1.2
put /v1/gpu-nodes/{gpu_node_id}/unlock
Description
Unlock GPU Node.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gpu_node_id required | GPU Node ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GpuNodeActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gpu-nodes/{gpu_node_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"
Example HTTP response
Response 200
{
"gpu_node_id": "20c507a036c447cdb3b19468d8ea62ac"
}